Bug 176876 - XML comments create problems for gnome-keyboard-properties
XML comments create problems for gnome-keyboard-properties
Product: Fedora
Classification: Fedora
Component: gnome-applets (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2006-01-03 17:15 EST by Thomas Fitzsimmons
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-03 21:55:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thomas Fitzsimmons 2006-01-03 17:15:30 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051118 Fedora/1.5-0.5.0.rc3 Firefox/1.5

Description of problem:
The Layout Options pane of gnome-keyboard-properties only shows one option group on a default FC5test1 install: "Miscellaneous compatibility options".  Removing the XML comments from the start of each <group> block in /usr/share/X11/xkb/rules/xorg.xml causes all option groups to appear in the Layout Options pane.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Run gnome-keyboard-properties.
2. Click on the Layout Options pane.

Additional info:
Comment 1 Mike A. Harris 2006-01-31 13:56:23 EST
Sounds like a bug in gnome-keyboard-properties...
Comment 2 Rahul Sundaram 2006-02-20 05:46:42 EST

These bugs are being closed since a large number of updates have been released
after the FC5 test1 and test2 releases. Kindly update your system by running yum
update as root user or try out the third and final test version of FC5 being
released in a short while and verify if the bugs are still present on the system
.Reopen or file new bug reports as appropriate after confirming the presence of
this issue. Thanks
Comment 3 Simos Xenitellis 2006-02-25 14:47:29 EST
I reported this upstream, at
Comment 4 Simos Xenitellis 2006-03-01 08:03:21 EST
Sergey closed the upstream bug with:

Comment #3 from Sergey V. Udaltsov (points: 13)
2006-02-27 23:43 UTC [reply]

==> I think it is fixed in the libxklavier, in CVS.
Comment 5 Matthias Clasen 2006-08-03 21:55:04 EDT
fixed in fc6

Note You need to log in before you can comment on or make changes to this bug.